# -*- coding: utf-8 -*-
"""
======================================================
Reference data package (:mod:`sknano.core.refdata`)
======================================================

.. currentmodule:: sknano.core.refdata

Contents
========

Periodic table of elements data
-------------------------------

.. autodata:: atomic_masses

.. autodata:: atomic_numbers

.. autodata:: element_symbols

.. autodata:: element_names

.. autodata:: CCbond

.. autodata:: C_C

.. autodata:: CHbond

.. autodata:: C_H

.. autodata:: grams_per_amu

.. autodata:: grams_per_Da

"""
from __future__ import absolute_import, division, print_function

__docformat__ = 'restructuredtext en'

from ._constants import *
from ._conversion_factors import *
from ._periodic_table import *

__all__ = [s for s in dir() if not s.startswith('_')]
