# -*- coding: utf-8 -*-
"""
==============================================================
Reference data from NIST (:mod:`sknano.core.refdata._nist`)
==============================================================

.. currentmodule:: sknano.core.refdata._nist

.. autodata:: atomic_masses_nist_list

Retrieved from [NIST]_ website on 2013-11-18.

References
----------
.. [NIST] Atomic Weights and Isotopic Compositions with
          Relative Atomic Masses. http://www.nist.gov/pml/data/comp.cfm

"""


atomic_masses_nist_list = [
    1.00794,  # H
    4.002602,  # He
    6.941,  # Li
    9.012182,  # Be
    10.811,  # B
    12.0107,  # C
    14.0067,  # N
    15.9994,  # O
    18.9984032,  # F
    20.1797,  # Ne
    22.98976928,  # Na
    24.3050,  # Mg
    26.9815386,  # Al
    28.0855,  # Si
    30.973762,  # P
    32.066,  # S
    35.453,  # Cl
    39.948,  # Ar
    39.0983,  # K
    40.078,  # Ca
    44.955912,  # Sc
    47.867,  # Ti
    50.9415,  # V
    51.9961,  # Cr
    54.938045,  # Mn
    55.845,  # Fe
    58.933195,  # Co
    58.6934,  # Ni
    63.546,  # Cu
    65.38,  # Zn
    69.723,  # Ga
    72.64,  # Ge
    74.92160,  # As
    78.96,  # Se
    79.904,  # Br
    83.798,  # Kr
    85.4678,  # Rb
    87.62,  # Sr
    88.90585,  # Y
    91.224,  # Zr
    92.90638,  # Nb
    95.96,  # Mo
    98,  # Tc
    101.07,  # Ru
    102.90550,  # Rh
    106.42,  # Pd
    107.8682,  # Ag
    112.411,  # Cd
    114.818,  # In
    118.710,  # Sn
    121.760,  # Sb
    127.60,  # Te
    126.90447,  # I
    131.293,  # Xe
    132.9054519,  # Cs
    137.327,  # Ba
    138.90547,  # La
    140.116,  # Ce
    140.90765,  # Pr
    144.242,  # Nd
    145,  # Pm
    150.36,  # Sm
    151.964,  # Eu
    157.25,  # Gd
    158.92535,  # Tb
    162.500,  # Dy
    164.93032,  # Ho
    167.259,  # Er
    168.93421,  # Tm
    173.054,  # Yb
    174.9668,  # Lu
    178.49,  # Hf
    180.94788,  # Ta
    183.84,  # W
    186.207,  # Re
    190.23,  # Os
    192.217,  # Ir
    195.084,  # Pt
    196.966569,  # Au
    200.59,  # Hg
    204.383,  # Tl
    207.2,  # Pb
    208.98040,  # Bi
    209,  # Po
    210,  # At
    222,  # Rn
    223,  # Fr
    226,  # Ra
    227,  # Ac
    232.03806,  # Th
    231.03588,  # Pa
    238.02891,  # U
    237,  # Np
    244,  # Pu
    243,  # Am
    247,  # Cm
    247,  # Bk
    251,  # Cf
    252,  # Es
    257,  # Fm
    258,  # Md
    259,  # No
    262,  # Lr
    265,  # Rf
    268,  # Db
    271,  # Sg
    270,  # Bh
    277,  # Hs
    276,  # Mt
    281,  # Ds
    280,  # Rg
    285,  # Cn
    284,  # Uut
    289,  # Fl
    288,  # Uup
    293,  # Lv
    294,  # Uus
    294]  # Uuo
